<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Beta Ray Bill</Series>
  <Number>5</Number>
  <Web>https://www.comixology.com/Beta-Ray-Bill-5-of-5/digital-comic/938057</Web>
  <Summary>BILL VS. SURTUR IN THE EPIC FINALE! Beta Ray Bill and his allies must fight the ultimate battle against Surtur, the fire god responsible for the destruction of Bill’s home planet! It’s going to take an eminent amount of power to defeat this foe! But with his goals in sight, is Bill ready to pay the cost required to return to his former self?</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB938057], [ASINB092JSNF7J], [RELDATE:2021-07-28]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>26</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
